#
# Scheduler Configuration File for the Debian Zmailer Package
# Christoph Lameter, May 17, 1997
#
# Please see the scheduler manpage for details. Also have a look
# at the examples in /usr/doc/zmailer
#
# The maxring value is important because it sets a limit on the maximum
# running processes for the delivery through that channel.
#

# Default values
*/*	interval=1m expiry=3d retries="1 1 2 3 5 8 13 21 34"
	maxring=0 maxta=0 skew=5 user=root group=daemon
	idlemax=4m ageorder overfeed=150

# Any special things you want to process locally should be inserted here

# Local Delivery
local/file*	interval=5m idlemax=9m expiry=3d maxchannel=15 maxring=5
	command="mailbox -8"

local/pipe*	interval=5m idlemax=9m expiry=3d maxchannel=15 maxring=5
	command="mailbox -8"

local/*	interval=5m expiry=3h maxchannel=15 maxring=5
	command="mailbox -8"

# Service channels
error/*	interval=5m maxchannel=5 command=errormail
hold/*	interval=5m maxchannel=1 command=hold

# Any special smtp processing goes here

# Note that you propably want to have local domain in separate
# thread-group to give it guaranteed resources.  Also you may
# want to put some extremely busy destination domain into
# separate thread-group... keep looking at the statistics, also
# have occasionally a peek with command:  mailq -Q

# Some examples
#smtp/*.toronto.edu
#smtp/*.utoronto.ca maxchannel=10 maxring=2
#       command="smtp -srl /var/log/smtp"

# Standard Entry for SMTP transfers
smtp/*	maxchannel=200 maxring=20
	command="smtp -s"

# Direct SMTP discarding any MX information which is useful for
# entries in the /etc/zmailer/db/routers file
smtpx/* maxchannel=90 maxring=10
	command="smtp -c smtpx -x -s"

# Example of a UUCP transport
#uucp/*    maxchannel=5 command="sm -c $channel uucp"
